# Uses of Enum Class
org.apache.lucene.document.ShapeField.DecodedTriangle.TYPE

Packages that use ShapeField.DecodedTriangle.TYPE
Package
Description
org.apache.lucene.document
The logical representation of a `Document` for indexing and searching.

- ## Uses of ShapeField.DecodedTriangle.TYPE in org.apache.lucene.document

  Fields in org.apache.lucene.document declared as ShapeField.DecodedTriangle.TYPE
  Modifier and Type
  Field
  Description
  `ShapeField.DecodedTriangle.TYPE`
  ShapeField.DecodedTriangle.`type`
  triangle type
  Methods in org.apache.lucene.document that return ShapeField.DecodedTriangle.TYPE
  Modifier and Type
  Method
  Description
  `ShapeField.DecodedTriangle.TYPE`
  ShapeDocValuesField.`getHighestDimensionType()`
  Retrieves the highest dimensional type (POINT, LINE, TRIANGLE) for computing the geometry(s) centroid
  `static ShapeField.DecodedTriangle.TYPE`
  ShapeField.DecodedTriangle.TYPE.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ShapeField.DecodedTriangle.TYPE[]`
  ShapeField.DecodedTriangle.TYPE.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.